#include <iostream>

using namespace std;
int main(int argc, char** argv) {
	unsigned long long r=0;
	unsigned long long z=1;
	unsigned long long n,k,p,flag;
	unsigned long long b[r];
	unsigned long long a[n];
	cin>>n>>k;
	for(int i=0;i<n;i++)
		cin>>a[i];
	for(int i=0;i<n-1;i++){
		for(int j=i+1;j<n;j++)	
			if(a[i]==a[j]){
				p=a[i];
				z++;
			}
		if(z>=k)
		for(int i=0;i<r;i++)
			if(b[i]==p) flag=1;
	    if(flag==0){
				r++;
				b[r]=p;
		}
			else flag=0;
	}
	cout<<r<<endl;
	for(int i=0;i<r;i++)
		cout<<b[i]<<' ';
	
	return 0;
}